- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Static Protected Attributes | List of all members
tbb::filter Class Reference
Algorithms

A stage in a pipeline. More...

`#include <pipeline.h>`

Inheritance diagram for tbb::filter:

## Static Protected Attributes
static const unsigned char | filter_is_serial = 0x1
| The lowest bit 0 is for parallel vs. serial.
static const unsigned char | filter_is_out_of_order = 0x1<<4
| 4th bit distinguishes ordered vs unordered filters. More...
static const unsigned char | filter_is_bound = 0x1<<5
| 5th bit distinguishes thread-bound and regular filters.
static const unsigned char | filter_may_emit_null = 0x1<<6
| 6th bit marks input filters emitting small objects
static const unsigned char | exact_exception_propagation
| 7th bit defines exception propagation mode expected by the application. More...

## Detailed Description

A stage in a pipeline.

## Member Data Documentation

const unsigned char tbb::filter::exact_exception_propagation
| static protected

Initial value:
=
#if TBB_USE_CAPTURED_EXCEPTION
0x0

7th bit defines exception propagation mode expected by the application.

const unsigned char tbb::filter::filter_is_out_of_order = 0x1<<4
| static protected

4th bit distinguishes ordered vs unordered filters.

The bit was not set for parallel filters in TBB 2.1 and earlier, but is_ordered() function always treats parallel filters as out of order.

The documentation for this class was generated from the following file:

- pipeline.h

Copyright © 2005-2016 Intel Corporation. All Rights Reserved.

Intel, Pentium, Intel Xeon, Itanium, Intel XScale and VTune are registered trademarks or trademarks of Intel Corporation or its subsidiaries in the United States and other countries.

* Other names and brands may be claimed as the property of others.